// Twilight Legion for TI-89(Titanium), TI-92(+), Voyage 200
// Header File - huddata.h
// Michael Hergenrader
// Compiled with TIGCC 0.96 Beta 8
// Please see README for license/disclaimer information. In short, please feel free to use code you see here,
// and any credit to me would be greatly appreciated! :-)
// Copyright 2005-2010 Michael Hergenrader

// This file, like gamedata.h, contains smaller sprites that need constant access, so they are not
// stored in the external data files. These sprites represent the small pieces in the HUD (heads-up
// display) that don't really help the program executable space much by moving to the external file.

#ifndef HUD_H
#define HUD_H

const unsigned char hudlives[6][16] = { // sprites that tell the number of lives (0-5)
	{0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF },
	{0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x06,0xFF,0x06,0xFD }, // 1 life
	{0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x66,0xFF,0x66,0xDD },
	{0x00,0xFF,0x00,0xFF,0x00,0xFF,0x03,0xFF,0x03,0xFE,0x00,0xFF,0x66,0xFF,0x66,0xDD },
	{0x00,0xFF,0x00,0xFF,0x00,0xFF,0xC3,0xFF,0xC3,0xBE,0x00,0xFF,0x66,0xFF,0x66,0xDD },
	{0x18,0xFF,0x18,0xF7,0x00,0xFF,0xC3,0xFF,0xC3,0xBE,0x00,0xFF,0x66,0xFF,0x66,0xDD }	
};

const unsigned char hudcharsprts[12][16] = { // shows different franchise light backgrounds for each player in the HUD
	{0xE5,0x96,0xE8,0x10,0x6B,0x78,0x2D,0x81,0x65,0x96,0xE8,0x10,0x6B,0x78,0x2D,0x81}, // egg 0
	{0xFF,0x66,0xB4,0x81,0xE7,0xF7,0xFF,0xFF,0x7F,0x66,0xB4,0x81,0xE7,0xF7,0xFF,0xFF}, // falcon 1
	{0xFF,0xE3,0xA7,0x00,0xC3,0xD7,0xF7,0xFF,0x7F,0xE3,0xA7,0x00,0xC3,0xD7,0xD7,0xFF}, // fox 2
	{0xF3,0xE1,0xC0,0xED,0xBD,0xB1,0x3C,0x3F,0x73,0xE1,0xC0,0xED,0xBD,0xB1,0x3C,0x3F}, // gnw 3
	{0xFD,0xC4,0x81,0x91,0x99,0x91,0x81,0x67,0x7D,0xC4,0x81,0x91,0x99,0x91,0x81,0x67}, // lightning 4
	{0xD3,0x81,0x80,0x00,0x00,0x2E,0xBD,0xA1,0x53,0x81,0x80,0x00,0x00,0x2E,0xBD,0xA1}, // mushroom 5
	{0xF6,0xF1,0xE8,0xE5,0xEF,0xDF,0xBF,0x7F,0x76,0xF1,0xE8,0xE5,0xEF,0xDF,0xBF,0x7F}, // sword 6
	{0xF7,0xE7,0xE3,0xC1,0xDD,0x88,0x88,0x00,0x77,0xE7,0xE3,0xC1,0xDD,0x88,0x88,0x00}, // triforce 7
	{0xE7,0xC3,0x00,0xC3,0xE7,0xC3,0x99,0x3C,0xE7,0xC3,0x00,0xC3,0xE7,0xC3,0x99,0x3C}, // warp star 8
	{0xFF,0xFF,0xBF,0x8F,0x9B,0xD9,0xE3,0xFF,0xFF,0xFF,0xBF,0x8F,0x9B,0xD9,0xE3,0xFF}, // mad eye 9
	{0xFF,0xC5,0xB9,0xCD,0xBD,0x7D,0x30,0x87,0xFF,0xC5,0xB9,0xCD,0xBD,0x7D,0x30,0x87}, // san elite 10
	{0xF7,0x6F,0x81,0xC2,0x41,0x82,0xEB,0xDF,0xF7,0x6F,0x81,0xC2,0x41,0x82,0xEB,0xDF}  // hurricane 11
};

// End of Header File

#endif